org.wso2.carbon.rest.api.stub

## Class RestApiAdminCallbackHandler

- java.lang.Object
- - org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler

-     public abstract class RestApiAdminCallbackHandler
      extends Object

  RestApiAdminCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `clientData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestApiAdminCallbackHandler()` Please use this constructor if you don't want to set any clientData
    `RestApiAdminCallbackHandler(Object clientData)` User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getClientData()` Get the client data
    `void` | `receiveErroraddApi(Exception e)` auto generated Axis2 Error handler override this method for handling error response from addApi operation
    `void` | `receiveErroraddApiForTenant(Exception e)` auto generated Axis2 Error handler override this method for handling error response from addApiForTenant operation
    `void` | `receiveErroraddApiFromString(Exception e)` auto generated Axis2 Error handler override this method for handling error response from addApiFromString operation
    `void` | `receiveErrordeleteApi(Exception e)` auto generated Axis2 Error handler override this method for handling error response from deleteApi operation
    `void` | `receiveErrordeleteApiForTenant(Exception e)` auto generated Axis2 Error handler override this method for handling error response from deleteApiForTenant operation
    `void` | `receiveErrordisableStatistics(Exception e)` auto generated Axis2 Error handler override this method for handling error response from disableStatistics operation
    `void` | `receiveErrordisableTracing(Exception e)` auto generated Axis2 Error handler override this method for handling error response from disableTracing operation
    `void` | `receiveErrorenableStatistics(Exception e)` auto generated Axis2 Error handler override this method for handling error response from enableStatistics operation
    `void` | `receiveErrorenableTracing(Exception e)` auto generated Axis2 Error handler override this method for handling error response from enableTracing operation
    `void` | `receiveErrorgenerateAPIFromSwagger(Exception e)` auto generated Axis2 Error handler override this method for handling error response from generateAPIFromSwagger operation
    `void` | `receiveErrorgenerateUpdatedAPIFromSwagger(Exception e)` auto generated Axis2 Error handler override this method for handling error response from generateUpdatedAPIFromSwagger operation
    `void` | `receiveErrorgetApiByName(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getApiByName operation
    `void` | `receiveErrorgetAPICount(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getAPICount operation
    `void` | `receiveErrorgetApiForTenant(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getApiForTenant operation
    `void` | `receiveErrorgetApiNames(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getApiNames operation
    `void` | `receiveErrorgetAPIsForListing(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getAPIsForListing operation
    `void` | `receiveErrorgetApiSource(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getApiSource operation
    `void` | `receiveErrorgetResourceSource(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getResourceSource operation
    `void` | `receiveErrorgetSequences(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getSequences operation
    `void` | `receiveErrorgetServerContext(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getServerContext operation
    `void` | `receiveErrorgetSwaggerDocument(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getSwaggerDocument operation
    `void` | `receiveErrorupdateApi(Exception e)` auto generated Axis2 Error handler override this method for handling error response from updateApi operation
    `void` | `receiveErrorupdateApiForTenant(Exception e)` auto generated Axis2 Error handler override this method for handling error response from updateApiForTenant operation
    `void` | `receiveErrorupdateApiFromString(Exception e)` auto generated Axis2 Error handler override this method for handling error response from updateApiFromString operation
    `void` | `receiveResultaddApi(boolean result)` auto generated Axis2 call back method for addApi method override this method for handling normal response from addApi operation
    `void` | `receiveResultaddApiForTenant(boolean result)` auto generated Axis2 call back method for addApiForTenant method override this method for handling normal response from addApiForTenant operation
    `void` | `receiveResultaddApiFromString(boolean result)` auto generated Axis2 call back method for addApiFromString method override this method for handling normal response from addApiFromString operation
    `void` | `receiveResultdeleteApi(boolean result)` auto generated Axis2 call back method for deleteApi method override this method for handling normal response from deleteApi operation
    `void` | `receiveResultdeleteApiForTenant(boolean result)` auto generated Axis2 call back method for deleteApiForTenant method override this method for handling normal response from deleteApiForTenant operation
    `void` | `receiveResultdisableStatistics(String result)` auto generated Axis2 call back method for disableStatistics method override this method for handling normal response from disableStatistics operation
    `void` | `receiveResultdisableTracing(String result)` auto generated Axis2 call back method for disableTracing method override this method for handling normal response from disableTracing operation
    `void` | `receiveResultenableStatistics(String result)` auto generated Axis2 call back method for enableStatistics method override this method for handling normal response from enableStatistics operation
    `void` | `receiveResultenableTracing(String result)` auto generated Axis2 call back method for enableTracing method override this method for handling normal response from enableTracing operation
    `void` | `receiveResultgenerateAPIFromSwagger(String result)` auto generated Axis2 call back method for generateAPIFromSwagger method override this method for handling normal response from generateAPIFromSwagger operation
    `void` | `receiveResultgenerateUpdatedAPIFromSwagger(String result)` auto generated Axis2 call back method for generateUpdatedAPIFromSwagger method override this method for handling normal response from generateUpdatedAPIFromSwagger operation
    `void` | `receiveResultgetApiByName(APIData result)` auto generated Axis2 call back method for getApiByName method override this method for handling normal response from getApiByName operation
    `void` | `receiveResultgetAPICount(int result)` auto generated Axis2 call back method for getAPICount method override this method for handling normal response from getAPICount operation
    `void` | `receiveResultgetApiForTenant(APIData result)` auto generated Axis2 call back method for getApiForTenant method override this method for handling normal response from getApiForTenant operation
    `void` | `receiveResultgetApiNames(String[] result)` auto generated Axis2 call back method for getApiNames method override this method for handling normal response from getApiNames operation
    `void` | `receiveResultgetAPIsForListing(APIData[] result)` auto generated Axis2 call back method for getAPIsForListing method override this method for handling normal response from getAPIsForListing operation
    `void` | `receiveResultgetApiSource(String result)` auto generated Axis2 call back method for getApiSource method override this method for handling normal response from getApiSource operation
    `void` | `receiveResultgetResourceSource(String result)` auto generated Axis2 call back method for getResourceSource method override this method for handling normal response from getResourceSource operation
    `void` | `receiveResultgetSequences(String[] result)` auto generated Axis2 call back method for getSequences method override this method for handling normal response from getSequences operation
    `void` | `receiveResultgetServerContext(String result)` auto generated Axis2 call back method for getServerContext method override this method for handling normal response from getServerContext operation
    `void` | `receiveResultgetSwaggerDocument(String result)` auto generated Axis2 call back method for getSwaggerDocument method override this method for handling normal response from getSwaggerDocument operation
    `void` | `receiveResultupdateApi(boolean result)` auto generated Axis2 call back method for updateApi method override this method for handling normal response from updateApi operation
    `void` | `receiveResultupdateApiForTenant(boolean result)` auto generated Axis2 call back method for updateApiForTenant method override this method for handling normal response from updateApiForTenant operation
    `void` | `receiveResultupdateApiFromString(boolean result)` auto generated Axis2 call back method for updateApiFromString method override this method for handling normal response from updateApiFromString operation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientData

          protected Object clientData

  - ### Constructor Detail

    - #### RestApiAdminCallbackHandler

          public RestApiAdminCallbackHandler(Object clientData)

      User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.
      Parameters:
        `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

    - #### RestApiAdminCallbackHandler

          public RestApiAdminCallbackHandler()

      Please use this constructor if you don't want to set any clientData

  - ### Method Detail

    - #### getClientData

          public Object getClientData()

      Get the client data

    - #### receiveResultupdateApiFromString

          public void receiveResultupdateApiFromString(boolean result)

      auto generated Axis2 call back method for updateApiFromString method override this method for handling normal response from updateApiFromString operation

    - #### receiveErrorupdateApiFromString

          public void receiveErrorupdateApiFromString(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from updateApiFromString operation

    - #### receiveResultgenerateUpdatedAPIFromSwagger

          public void receiveResultgenerateUpdatedAPIFromSwagger(String result)

      auto generated Axis2 call back method for generateUpdatedAPIFromSwagger method override this method for handling normal response from generateUpdatedAPIFromSwagger operation

    - #### receiveErrorgenerateUpdatedAPIFromSwagger

          public void receiveErrorgenerateUpdatedAPIFromSwagger(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from generateUpdatedAPIFromSwagger operation

    - #### receiveResultdeleteApi

          public void receiveResultdeleteApi(boolean result)

      auto generated Axis2 call back method for deleteApi method override this method for handling normal response from deleteApi operation

    - #### receiveErrordeleteApi

          public void receiveErrordeleteApi(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from deleteApi operation

    - #### receiveResultgetApiByName

          public void receiveResultgetApiByName(APIData result)

      auto generated Axis2 call back method for getApiByName method override this method for handling normal response from getApiByName operation

    - #### receiveErrorgetApiByName

          public void receiveErrorgetApiByName(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getApiByName operation

    - #### receiveResultdisableTracing

          public void receiveResultdisableTracing(String result)

      auto generated Axis2 call back method for disableTracing method override this method for handling normal response from disableTracing operation

    - #### receiveErrordisableTracing

          public void receiveErrordisableTracing(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from disableTracing operation

    - #### receiveResultgetAPIsForListing

          public void receiveResultgetAPIsForListing(APIData[] result)

      auto generated Axis2 call back method for getAPIsForListing method override this method for handling normal response from getAPIsForListing operation

    - #### receiveErrorgetAPIsForListing

          public void receiveErrorgetAPIsForListing(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getAPIsForListing operation

    - #### receiveResultgetApiForTenant

          public void receiveResultgetApiForTenant(APIData result)

      auto generated Axis2 call back method for getApiForTenant method override this method for handling normal response from getApiForTenant operation

    - #### receiveErrorgetApiForTenant

          public void receiveErrorgetApiForTenant(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getApiForTenant operation

    - #### receiveResultdisableStatistics

          public void receiveResultdisableStatistics(String result)

      auto generated Axis2 call back method for disableStatistics method override this method for handling normal response from disableStatistics operation

    - #### receiveErrordisableStatistics

          public void receiveErrordisableStatistics(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from disableStatistics operation

    - #### receiveResultenableStatistics

          public void receiveResultenableStatistics(String result)

      auto generated Axis2 call back method for enableStatistics method override this method for handling normal response from enableStatistics operation

    - #### receiveErrorenableStatistics

          public void receiveErrorenableStatistics(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from enableStatistics operation

    - #### receiveResultenableTracing

          public void receiveResultenableTracing(String result)

      auto generated Axis2 call back method for enableTracing method override this method for handling normal response from enableTracing operation

    - #### receiveErrorenableTracing

          public void receiveErrorenableTracing(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from enableTracing operation

    - #### receiveResultaddApiFromString

          public void receiveResultaddApiFromString(boolean result)

      auto generated Axis2 call back method for addApiFromString method override this method for handling normal response from addApiFromString operation

    - #### receiveErroraddApiFromString

          public void receiveErroraddApiFromString(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from addApiFromString operation

    - #### receiveResultaddApiForTenant

          public void receiveResultaddApiForTenant(boolean result)

      auto generated Axis2 call back method for addApiForTenant method override this method for handling normal response from addApiForTenant operation

    - #### receiveErroraddApiForTenant

          public void receiveErroraddApiForTenant(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from addApiForTenant operation

    - #### receiveResultdeleteApiForTenant

          public void receiveResultdeleteApiForTenant(boolean result)

      auto generated Axis2 call back method for deleteApiForTenant method override this method for handling normal response from deleteApiForTenant operation

    - #### receiveErrordeleteApiForTenant

          public void receiveErrordeleteApiForTenant(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from deleteApiForTenant operation

    - #### receiveResultgetSwaggerDocument

          public void receiveResultgetSwaggerDocument(String result)

      auto generated Axis2 call back method for getSwaggerDocument method override this method for handling normal response from getSwaggerDocument operation

    - #### receiveErrorgetSwaggerDocument

          public void receiveErrorgetSwaggerDocument(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getSwaggerDocument operation

    - #### receiveResultgetSequences

          public void receiveResultgetSequences(String[] result)

      auto generated Axis2 call back method for getSequences method override this method for handling normal response from getSequences operation

    - #### receiveErrorgetSequences

          public void receiveErrorgetSequences(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getSequences operation

    - #### receiveResultgetResourceSource

          public void receiveResultgetResourceSource(String result)

      auto generated Axis2 call back method for getResourceSource method override this method for handling normal response from getResourceSource operation

    - #### receiveErrorgetResourceSource

          public void receiveErrorgetResourceSource(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getResourceSource operation

    - #### receiveResultgetAPICount

          public void receiveResultgetAPICount(int result)

      auto generated Axis2 call back method for getAPICount method override this method for handling normal response from getAPICount operation

    - #### receiveErrorgetAPICount

          public void receiveErrorgetAPICount(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getAPICount operation

    - #### receiveResultgetApiSource

          public void receiveResultgetApiSource(String result)

      auto generated Axis2 call back method for getApiSource method override this method for handling normal response from getApiSource operation

    - #### receiveErrorgetApiSource

          public void receiveErrorgetApiSource(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getApiSource operation

    - #### receiveResultupdateApi

          public void receiveResultupdateApi(boolean result)

      auto generated Axis2 call back method for updateApi method override this method for handling normal response from updateApi operation

    - #### receiveErrorupdateApi

          public void receiveErrorupdateApi(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from updateApi operation

    - #### receiveResultgetServerContext

          public void receiveResultgetServerContext(String result)

      auto generated Axis2 call back method for getServerContext method override this method for handling normal response from getServerContext operation

    - #### receiveErrorgetServerContext

          public void receiveErrorgetServerContext(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getServerContext operation

    - #### receiveResultupdateApiForTenant

          public void receiveResultupdateApiForTenant(boolean result)

      auto generated Axis2 call back method for updateApiForTenant method override this method for handling normal response from updateApiForTenant operation

    - #### receiveErrorupdateApiForTenant

          public void receiveErrorupdateApiForTenant(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from updateApiForTenant operation

    - #### receiveResultgetApiNames

          public void receiveResultgetApiNames(String[] result)

      auto generated Axis2 call back method for getApiNames method override this method for handling normal response from getApiNames operation

    - #### receiveErrorgetApiNames

          public void receiveErrorgetApiNames(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getApiNames operation

    - #### receiveResultaddApi

          public void receiveResultaddApi(boolean result)

      auto generated Axis2 call back method for addApi method override this method for handling normal response from addApi operation

    - #### receiveErroraddApi

          public void receiveErroraddApi(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from addApi operation

    - #### receiveResultgenerateAPIFromSwagger

          public void receiveResultgenerateAPIFromSwagger(String result)

      auto generated Axis2 call back method for generateAPIFromSwagger method override this method for handling normal response from generateAPIFromSwagger operation

    - #### receiveErrorgenerateAPIFromSwagger

          public void receiveErrorgenerateAPIFromSwagger(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from generateAPIFromSwagger operation

Copyright © 2019 WSO2. All rights reserved.